classification
Title: select.poll.modify is not documented
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 3.3, Python 3.4, Python 2.7, Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, giampaolo.rodola, joncle, vstinner
Priority: normal Keywords:

Created on 2013-09-04 20:53 by giampaolo.rodola, last changed 2018-08-19 12:16 by berker.peksag. This issue is now closed.

Messages (4)
msg196953 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2013-09-04 20:53
It was introduced in Python 2.6:
http://bugs.python.org/issue1657
Will commit a patch soon.
msg196967 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-09-04 22:05
For your information, epoll.closed and kqueue.closed were not documented. I documented them recently in Python 3.4 doc.
msg205451 - (view) Author: Jon Clements (joncle) Date: 2013-12-07 12:47
Was looking up epoll.modify and noticed in the docs it's listed as "
Modify a register file descriptor." - I believe that should be "Modify a registered file descriptor"...
msg323754 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-08-19 12:16
poll.modify() is documented in both Python 2 and Python 3 docs:

* https://docs.python.org/2/library/select.html#select.poll.modify

* https://docs.python.org/3/library/select.html#select.poll.modify

> I believe that should be "Modify a registered file descriptor"...

This has already been fixed in https://github.com/python/cpython/commit/632c812942d662b764ade56ef492850e00d92877.

Closing this as 'out of date'.
History
Date User Action Args
2018-08-19 12:16:23berker.peksagsetstatus: open -> closed

type: behavior

nosy: + berker.peksag
messages: + msg323754
resolution: out of date
stage: resolved
2013-12-07 12:47:49jonclesetnosy: + joncle
messages: + msg205451
2013-09-04 22:05:44vstinnersetnosy: + vstinner
messages: + msg196967
2013-09-04 20:53:57giampaolo.rodolacreate